OGRE-Next: Ogre::v1::VertexShadowMapHelper Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::v1::VertexShadowMapHelper Class Reference

`#include <OgreVertexShadowMapHelper.h>`

## Classes
struct | Geometry

## Public Types
typedef vector< Geometry >::type | GeometryVec

## Static Public Member Functions
static bool | findFirstAppearance (const GeometryVec &geom, const VertexData *vertexBuffer, size_t &outVaoIdx)
static void | optimizeForShadowMapping (const VertexShadowMapHelper::GeometryVec &inGeom, VertexShadowMapHelper::GeometryVec &outGeom)
| Reads all the vertex & index buffer from all the LOD levels in inVao, optimizes the buffers for shadow mapping, and stores them as new Vaos in outVao.
static void | useSameGeoms (const GeometryVec &inGeom, GeometryVec &outGeom)

## Member Typedef Documentation

## ◆ GeometryVec

typedef vector<Geometry>::type Ogre::v1::VertexShadowMapHelper::GeometryVec

## Member Function Documentation

## ◆ findFirstAppearance()

bool Ogre::v1::VertexShadowMapHelper::findFirstAppearance | ( | const GeometryVec & | geom,
|  | const VertexData * | vertexBuffer,
|  | size_t & | outVaoIdx )
| static

## ◆ optimizeForShadowMapping()

void Ogre::v1::VertexShadowMapHelper::optimizeForShadowMapping | ( | const VertexShadowMapHelper::GeometryVec & | inGeom,
|  | VertexShadowMapHelper::GeometryVec & | outGeom )
| static

Reads all the vertex & index buffer from all the LOD levels in inVao, optimizes the buffers for shadow mapping, and stores them as new Vaos in outVao.

Remarks
  If the buffers can't be optimized (i.e. it is invalid because an LOD level doesn't contain the VES_POSITION semantic), useSameVaos is used; which does not clone the Vaos.

Parameters

  vaoManager | VaoManager. Required for buffer management.
  inVao | Input Vao to clone and optimize.
  outVao | Output vao to store the cloned, optimized version.

## ◆ useSameGeoms()

void Ogre::v1::VertexShadowMapHelper::useSameGeoms | ( | const GeometryVec & | inGeom,
|  | GeometryVec & | outGeom )
| static

The documentation for this class was generated from the following file:

- OgreVertexShadowMapHelper.h